Page MenuHomePhabricator

Add Event logging for the sideloading-only version of the Offline Library
Closed, ResolvedPublic

Description

Add Event logging to track the usage of the sideloading-only version of the Offline Library to track:

  • Offline usage (log events next time user is online) incl. the fact that user was offline when they viewed content will be handled by queued event logs.
  • Bugs/Crashes that occur offline (log next time user is online) handled by HockeyApp
  • Loading of new packs and # of packs loaded
  • Whether images and link previews are toggled on will be handled by queued event logs.
  • Pack shares

Details

Related Gerrit Patches:

Event Timeline

RHo created this task.Oct 26 2017, 1:57 PM

This needs product input on what events we want to track.

Charlotte updated the task description. (Show Details)Dec 13 2017, 4:05 PM
Charlotte triaged this task as High priority.Dec 13 2017, 5:00 PM

@Dbrant - Let me know if the revised description above is ok, or if you'd like more detail. Sorry forgot to tag you a week ago when I updated this!

Dbrant claimed this task.Jan 2 2018, 7:17 PM
Dbrant updated the task description. (Show Details)Jan 16 2018, 4:52 PM

Change 404535 had a related patch set uploaded (by Dbrant; owner: Dbrant):
[apps/android/wikipedia@master] Add basic eventlogging to Offline Library screen.

https://gerrit.wikimedia.org/r/404535

Change 404535 merged by jenkins-bot:
[apps/android/wikipedia@master] Add basic eventlogging to Offline Library screen.

https://gerrit.wikimedia.org/r/404535

Dbrant closed this task as Resolved.Feb 1 2018, 6:32 PM